Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05832 Graphics Minor Always Jan 25, 2015, 19:44 Jan 28, 2015, 09:36
Tester Pasky View Status Public Platform MAME (Official Binary)
Assigned To Haze Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver toaplan2.cpp
Version 0.157 Fixed in Version 0.158 Build 64-bit
Summary 05832: batrider, batriderj: A portion of the boss's ('Gob-Robo') face is missing
Description After arriving at the boss a graphic is missing from his face and appears black. Attached is a picture displaying the problem.

Here is how it should appear (japanese ver. B PCB):

http://i.imgur.com/H3bQCNu.jpg
Steps To Reproduce Nothing is necessary to reproduce, simply arrive at the boss to see the error.

This can be done by following this guide (http://www.world-of-arcades.net/R8zing/Batrider/Secrets_4.htm):

1. Select 'normal' or 'advance' course
2. Choose at least 1 Mahou character for your team
3. Completely destroy the turret at the back of the plane in the airport stage.

It is located about in the middle of the plane, where the scrolling stops. Try to take out the side parts first, then once you destroyed the main gun in the middle, the scrolling continues.

After beating Bazzcok, the regular 'Airport' boss, you will face 'Gob-Robo' (Goblin Robot), another well known boss from Mahou Daisakusen.
Additional Information
Flags
Regression Version
Affected Sets / Systems batrider, batriderj
Attached Files
png file icon 0000.png (30,879 bytes) Jan 25, 2015, 20:03 Uploaded by Pasky
Pasky
zip file icon batriderj.zip (125,296 bytes) Jan 26, 2015, 03:24 Uploaded by Pasky
png file icon 0001.png (32,077 bytes) Jan 28, 2015, 05:44 Uploaded by Pasky
Pasky
Relationships
There are no relationship linked to this issue.
Notes
4
User avatar
No.11404
Haze
Senior Tester
Jan 26, 2015, 01:21
edited on: Jan 26, 2015, 01:22
an inp file would help here, showing the trigger procedure (without any cheats used obviously)
(remember, must be recorded without any nvram file present, even a default one will break the recording / playback)
User avatar
No.11406
Pasky
Tester
Jan 26, 2015, 03:26
Attached is an input playback that gets to the problem area. I verified playback on mame 0.157 64-bit windows build.

 It is necessary to have the following dip switches enabled because you need the secret characters to unlock him and the stage edit to guarantee the airport is the 2nd stage:

"Stage Edit" - ON
"Guest Players" - ON
"Player Select" - ON
User avatar
No.11407
Haze
Senior Tester
Jan 26, 2015, 12:52
Ok, I've committed a fix for this , however the priority scheme on this hardware (Toaplan 2) has some messy details, be sure to make check nothing new is broken in the driver please.
User avatar
No.11421
Pasky
Tester
Jan 28, 2015, 05:45
Your changes seems to have fixed the problem. I haven't encountered any other issues associated with the fix, but I've only tried batriderj and no other toaplan2 games. Thank you for your work.